# open-cpp-utils: open_cpp_utils::fixed_array< T, N > Struct Template Reference

Loading...
Searching...
No Matches
open_cpp_utils::fixed_array< T, N > Struct Template Reference

Wrapper for array of type T with fixed length N. More...

`#include <array.h>`

## Public Types

using | value_type = T
using | array_type = value_type[N]
using | size_type = size_t

## Public Member Functions

constexpr | fixed_array (const fixed_array &array)
constexpr | fixed_array (const array_type &data)
constexpr size_type | size ()

## Detailed Description

template<typename T, size_t N>
struct open_cpp_utils::fixed_array< T, N >

Wrapper for array of type T with fixed length N.

Template Parameters

  T |
  N |

The documentation for this struct was generated from the following file:

- array.h